std::istreambuf_iterator(3)

NAME
std::istreambuf_iterator -

SYNOPSIS

Inherits iterator< std::input_iterator_tag, _CharT, _Traits::off_type, _CharT *, _CharT & >.

Detailed Description

  template<typename _CharT, typename _Traits> class std::istreambuf_iterator< _CharT, _Traits >

Definition at line 51 of file streambuf_iterator.h.

  Public Types
typedef _Distance difference_type
typedef _Category iterator_category
typedef _Pointer pointer
typedef _Reference reference
typedef _Tp value_type

typedef _CharT char_type
typedef _Traits::int_type int_type
typedef basic_istream< _CharT, _Traits > istream_type
typedef basic_streambuf< _CharT, _Traits > streambuf_type
typedef _Traits traits_type

  Public Member Functions
bool equal (const istreambuf_iterator &__b) const
istreambuf_iterator (streambuf_type *__s) throw ()
istreambuf_iterator (istream_type &__s) throw ()
istreambuf_iterator () throw ()
char_type operator * () const
istreambuf_iterator operator++ (int)
istreambuf_iterator & operator++ ()

Member Typedef Documentation

  typedef _CharT char_type

Public typedefs.

Definition at line 59 of file streambuf_iterator.h.

  typedef _Distance difference_type [inherited]

Distance between iterators is represented as this type.

Reimplemented in reverse_iterator.

Definition at line 113 of file stl_iterator_base_types.h.

  typedef _Traits::int_type int_type

Public typedefs.

Definition at line 61 of file streambuf_iterator.h.

  typedef basic_istream<_CharT, _Traits> istream_type

Public typedefs.

Definition at line 63 of file streambuf_iterator.h.

  typedef _Category iterator_category [inherited]

One of the tag types.

Definition at line 109 of file stl_iterator_base_types.h.

  typedef _Pointer pointer [inherited]

This type represents a pointer-to-value_type.

Reimplemented in _Bit_iterator, _Bit_const_iterator, reverse_iterator, _Rope_const_iterator, and _Rope_iterator.

Definition at line 115 of file stl_iterator_base_types.h.

  typedef _Reference reference [inherited]

This type represents a reference-to-value_type.

Reimplemented in _Bit_iterator, _Bit_const_iterator, reverse_iterator, _Rope_const_iterator, and _Rope_iterator.

Definition at line 117 of file stl_iterator_base_types.h.

  typedef basic_streambuf<_CharT, _Traits> streambuf_type

Public typedefs.

Definition at line 62 of file streambuf_iterator.h.

  typedef _Traits traits_type

Public typedefs.

Definition at line 60 of file streambuf_iterator.h.

  typedef _Tp value_type [inherited]

The type 'pointed to' by the iterator.

Reimplemented in sequence_buffer.

Definition at line 111 of file stl_iterator_base_types.h.

Constructor & Destructor Documentation

  istreambuf_iterator () throw () [inline]

Construct end of input stream iterator.

Definition at line 79 of file streambuf_iterator.h.

  istreambuf_iterator (istream_type & __s) throw () [inline]

Construct start of input stream iterator.

Definition at line 83 of file streambuf_iterator.h.

  istreambuf_iterator (streambuf_type * __s) throw () [inline]

Construct start of streambuf iterator.

Definition at line 87 of file streambuf_iterator.h.

Member Function Documentation

  bool equal (const istreambuf_iterator< _CharT, _Traits > & __b) const [inline]

Return true both iterators are end or both are not end.

Definition at line 143 of file streambuf_iterator.h.

References istreambuf_iterator::_M_at_eof().

Referenced by std::operator!=(), and std::operator==().

  char_type operator * () const [inline]

operator*() on an end of stream is undefined.

Definition at line 94 of file streambuf_iterator.h.

  istreambuf_iterator operator++ (int) [inline]

Advance the iterator. Calls streambuf.sbumpc().

Definition at line 123 of file streambuf_iterator.h.

References istreambuf_iterator::_M_c, and basic_streambuf::sbumpc().

  istreambuf_iterator& operator++ () [inline]

Advance the iterator. Calls streambuf.sbumpc().

Definition at line 108 of file streambuf_iterator.h.

References basic_streambuf::sbumpc().

Author

Generated automatically by Doxygen for libstdc++ from the source code.